> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Slack: Create Reminder

Create a reminder in Slack via native OAuth integration. Supports natural language time expressions and Unix timestamps. Ideal for: follow-up tasks, scheduled alerts, deadline reminders, timed notifications.

![Slack: Create Reminder logo](https://ai-icon.b3.fun/logo/slack)
Catalog action Integrations slack

Create a reminder in Slack via native OAuth integration. Supports natural language time expressions and Unix timestamps. Ideal for: follow-up tasks, scheduled alerts, deadline reminders, timed notifications.


## At a Glance

| Field | Value |
| --- | --- |
| Action ID | `slack-create-reminder` |
| Category | Integrations |
| Connector | `slack` |
| Requires gas | No |
| Funds movement | None declared |
| Tags | `slack`, `notification`, `write` |

## Payload Schema

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `text` | `string` | Yes | Reminder text content |
| `time` | `string` | Yes | When to trigger: Unix timestamp, or natural language like 'in 5 minutes', 'tomorrow at 9am' |
| `user` | `string` | No | User ID to create the reminder for \(defaults to authenticated user\) |

## Result Schema

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | `boolean` | Yes | - |
| `data` | `object` | No | - |

## Examples

**Workflow node**

```json
{
  "type": "slack-create-reminder",
  "payload": {
    "text": "Workflow completed",
    "time": "example-time"
  },
  "children": [],
  "connector": {
    "type": "slack",
    "id": "conn_slack"
  }
}
```
  **Test with API**

```bash
curl -X POST "https://api.b3os.org/v1/actions/slack-create-reminder/test" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "inputs": {
    "text": "Workflow completed",
    "time": "example-time"
  }
}'
```

**Use expressions for dynamic values**

Payload fields can use workflow expressions such as `{{$trigger.body.amount}}`, `{{$nodes.fetch.result.price}}`, and `{{$props.asset}}` when the value should come from a trigger, prior node, or reusable workflow prop.